IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name      = N'StatusRetryCount'
      AND Object_ID = Object_ID(N'SiteRepository'))
BEGIN
	ALTER TABLE [SiteRepository] ADD StatusRetryCount int NULL;
END